package yartiss.engine.simulation.events;

import java.util.Map;

import yartiss.engine.simulation.Event;
import yartiss.engine.simulation.system.ITask;

public class CheckEnergyStateEvent extends Event {

	protected CheckEnergyStateEvent(ITask task,int procId, long date, Map<String, Long> metrics, EventGenerator eventGenerator) {
		super(task, procId, date, metrics, eventGenerator);
	}
	

	
	
	@Override
	public String getName() {
		return "check_energy_state";
	}




	@Override
	public void accept(IEventVisitor visitor){
		visitor.visit(this);
	}
	

}
