package yartiss.engine.simulation.io.many;

import java.util.List;

import yartiss.engine.simulation.system.ITask;

public interface ITasksetsReader {
	
	/**
	 * Reads taskset information out of a file, and creates the corresponding
	 * tasksets according to their types (simple, graph, ...)
	 * 
	 * @return the created array of tasks
	 */
	public ITask [] nextTaskset();
	
	public List<ITask[]> readAll();
	public void close();
}
