package yartiss.engine.simulation.io.many;

import java.io.IOException;
import java.util.List;

import yartiss.engine.simulation.system.ITask;
import yartiss.engine.simulation.system.ITaskSet;

public interface ITasksetsWriter {

	public void write(ITask [] tasksetset)throws IOException;
	public void write(List<ITask> tasksetset)throws IOException;
	public void write(ITaskSet tasksetset)throws IOException;
	public void write(Iterable<ITask[]> tasksets)throws IOException;
	public void close() throws IOException;
	public void flush() throws IOException;
}
