package yartiss.engine.simulation.io.one;


public class SimulationParametersIOFactory {
	
	public static ISimulationParametersReader newSimulationParametersReaderInstance(String type) throws Exception{
		if(type.toLowerCase().equals("xml"))
			return new XmlSimulationParametersReader();
		return new TextSimulationParametersReader();
	}
	
	public static ISimulationParametersWriter newSimulationParametersWriterInstance(String type) throws Exception{
		if(type.toLowerCase().equals("xml"))
			return new XmlSimulationParametersWriter();
		return new TextSimulationParametersWriter();
	}
}
