package yartiss.engine.simulation.scheduling.policies;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import yartiss.engine.simulation.ISchedulingPolicy;
import yartiss.engine.simulation.partition.DynamicPartitionManager;
import yartiss.engine.simulation.partition.IPartitionManager;

public abstract class AbstractMultiProcSchedulingPolicy implements ISchedulingPolicy{

	protected Map<String, Long> metrics = new HashMap<String, Long>();

	@Override
	public void setParameters(List<Integer> parameters) {
	}

	@Override
	public List<Integer> getParameters() {
		return null;
	}

	@Override
	public Map<String, Long> getMetrics() {
		return new HashMap<String, Long>(metrics);
	}

	@Override
	public IPartitionManager getPartitionManager() {
		return new DynamicPartitionManager();
	}
	
	
}
