package yartiss.engine.simulation.statistics;

public class BooleanAggregation implements IAggregation{

	private boolean sum=true, avg=true, max=true, min=true;
	private int count; 
	
	
	@Override
	public void aggregate(Object newValue) {
		count++;
		Boolean d = (Boolean)newValue;
		sum |= d;
	}

	@Override
	public Object getSum() {
		return sum;
	}

	@Override
	public Object getAverage() {
		return avg;
	}

	@Override
	public Object getMax() {
		return max;
	}

	@Override
	public Object getMin() {
		return min;
	}

	@Override
	public int getAggregationCount() {
		return count;
	}

	@Override
	public void reset() {
		count=0;
		
	}

	@Override
	public Object getPercent(Object t, Object b) {
		return true;
	}
	
}
