package yartiss.engine.simulation.system.taskset.generation.task;

import yartiss.engine.simulation.system.ITask;
import yartiss.engine.simulation.system.schedulable.SchedulableFactory;

/**
 * DefaultTaskGenerator is a class that extends AbstractEnergyTaskGenerator and
 * generates new instance of simple sequential task with energy profile.
 * 
 * @author Younes Chandarli
 * 
 */
public class DefaultTaskGenerator extends AbstractEnergyTaskGenerator {

	@Override
	protected ITask generate(long start, long wcet, long wcee, long period,	long deadline, int priority) {
		return SchedulableFactory.newInstance("simple", start, wcet, wcee,
				period, deadline, priority);
	}
}
