package yartiss.engine.simulation.comparison;

import yartiss.engine.simulation.IEnergyProfile;
import yartiss.engine.simulation.Processor;

public class ComparisonScenario {
	
	private IEnergyProfile energyProfile;
	private int procCount;
	private Processor []   processors; 
	private boolean isEnergyAware;
	private final String name;
	
	public ComparisonScenario(String name,IEnergyProfile energyProfile, int procCount,
			Processor[] processors, boolean isEnergyAware) {
		super();
		this.energyProfile = energyProfile;
		this.procCount = procCount;
		this.processors = processors;
		this.isEnergyAware = isEnergyAware;
		this.name = name ;
	}
	/**
	 * @return the energyProfile
	 */
	public IEnergyProfile getEnergyProfile() {
		return energyProfile;
	}
	/**
	 * @param energyProfile the energyProfile to set
	 */
	public void setEnergyProfile(IEnergyProfile energyProfile) {
		this.energyProfile = energyProfile;
	}
	/**
	 * @return the procCount
	 */
	public int getProcCount() {
		return procCount;
	}
	/**
	 * @param procCount the procCount to set
	 */
	public void setProcCount(int procCount) {
		this.procCount = procCount;
	}
	/**
	 * @return the processors
	 */
	public Processor[] getProcessors() {
		return processors;
	}
	/**
	 * @param processors the processors to set
	 */
	public void setProcessors(Processor[] processors) {
		this.processors = processors;
	}
	/**
	 * @return the isEnergyAware
	 */
	public boolean isEnergyAware() {
		return isEnergyAware;
	}
	/**
	 * @param isEnergyAware the isEnergyAware to set
	 */
	public void setEnergyAware(boolean isEnergyAware) {
		this.isEnergyAware = isEnergyAware;
	}
	/**
	 * @return the name
	 */
	public String getName() {
		return name;
	}
	
	

}
