package yartiss.engine.simulation.events;

import java.util.Map;

import yartiss.engine.simulation.Event;
import yartiss.engine.simulation.system.ITask;

public class JobExecutionBeginEvent extends Event{

	public JobExecutionBeginEvent(ITask task,int procId, long date, Map<String, Long> metrics, EventGenerator eventGenerator) {
		super(task, procId, date, metrics, eventGenerator);
	}

	@Override
	public void accept(IEventVisitor visitor) {
		visitor.visit(this);
	}
	
	@Override
	public String getName() {
		return "job_execution_begin";
	}

}
