package yartiss.engine.simulation.system.taskset.generation.task;

import yartiss.engine.simulation.system.ITask;
import yartiss.engine.simulation.system.schedulable.SchedulableFactory;

/**
 * Example of simple task generation without energy
 * 
 * @author Manar Qamhieh
 * 
 */
public class SimpleTaskGenerator extends AbstractTaskGenerator {

	@Override
	protected ITask generate(long start, long wcet, long period, long deadline,
			int priority, int maxProc) {
		return SchedulableFactory.newInstance("simple", start, wcet, 0, period,	deadline, priority);
	}

}
